Bug 198785 - [PATCH] Update security/qtkeychain and deskutils/mirall.
Summary: [PATCH] Update security/qtkeychain and deskutils/mirall.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: patch
: 198668 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-03-22 08:27 UTC by Gleb Popov
Modified: 2015-05-24 21:17 UTC (History)
2 users (show)

See Also:


Attachments
Patch (23.95 KB, patch)
2015-03-22 08:27 UTC, Gleb Popov
no flags Details | Diff
Updated patch (25.41 KB, patch)
2015-03-22 15:22 UTC, Gleb Popov
no flags Details | Diff
Updated patch (8.94 KB, patch)
2015-05-22 15:45 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2015-03-22 08:27:34 UTC
Created attachment 154648 [details]
Patch

This patch updates mirall and qtkeychain ports to their most recent version and also switches them to Qt 5.
I already have maintainership on qtkeychain and this with patch assume it on mirall too.
Additionally, this patch renames deskutils/mirall to deskutils/owncloud-client since it has been renamed upstream.
This PR supersedes PR 198668, so it can be closed too when this is commited.
Based on Tobias Berner (tcberner) work, original patches are by him.
Comment 1 Gleb Popov freebsd_committer 2015-03-22 15:22:08 UTC
Created attachment 154657 [details]
Updated patch

After some discussion with mail/trojita maintainer, I've decided to support both Qt versions in qtkeychain port, so i made a slave port.
Updated patch attached.
Comment 2 Gleb Popov freebsd_committer 2015-04-08 14:49:45 UTC
Bump.
Comment 3 Guido Falsi freebsd_committer 2015-05-20 07:23:12 UTC
Take this report for testing and committing.

I'll wait for an updated patch which can be applied to the present ports tree if possible, thanks.
Comment 4 Gleb Popov freebsd_committer 2015-05-22 15:45:42 UTC
Created attachment 157044 [details]
Updated patch

Done. Please, don't forget to close this PR too: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=198668
Comment 5 Guido Falsi freebsd_committer 2015-05-22 16:29:01 UTC
Thanks. Will work on it in the next few days.
Comment 6 Guido Falsi freebsd_committer 2015-05-22 16:29:49 UTC
*** Bug 198668 has been marked as a duplicate of this bug. ***
Comment 7 commit-hook freebsd_committer 2015-05-24 21:04:19 UTC
A commit references this bug:

Author: madpilot
Date: Sun May 24 21:03:22 UTC 2015
New revision: 387341
URL: https://svnweb.freebsd.org/changeset/ports/387341

Log:
  - Rename security/qtkeychain to qtkeychain-qt5, update to 0.5.0 and make it use Qt5
  - Add slave port qtkeychain-qt4
  - Make deskutils/owncloudclient link against qtkeychain-qt5
  - Update owncloudclient comment and pkg-descr

  PR:		198785
  Submitted by:	6yearold at gmail.com (security/qtkeychain maintainer)

Changes:
  head/MOVED
  head/deskutils/owncloudclient/Makefile
  head/deskutils/owncloudclient/pkg-descr
  head/deskutils/owncloudclient/pkg-plist
  head/security/Makefile
  head/security/qtkeychain/
  head/security/qtkeychain-qt4/
  head/security/qtkeychain-qt4/Makefile
  head/security/qtkeychain-qt5/
  head/security/qtkeychain-qt5/Makefile
  head/security/qtkeychain-qt5/distinfo
  head/security/qtkeychain-qt5/files/
  head/security/qtkeychain-qt5/pkg-plist
  head/security/qtkeychain-qt5/pkg-plist.qt4
  head/security/qtkeychain-qt5/pkg-plist.qt5
Comment 8 Guido Falsi freebsd_committer 2015-05-24 21:17:14 UTC
Hi,

Thanks for your submission.

I took the freedom to update qtkeychain ports to version 0.5.0, which is now available.

I also modified your submission, moving the port to qtkeychain-qt5, it goes along better with the qtkeychain-qt4 port.

The owncloudcloud client port needs a portrevision bump after this change.

A few more things I had to change:

- I did not enable the owncloud own SSP support. SSP is already handled by the ports system which adds the correct flags to enable it whenever possible. At present there are some problems with it with gcc built ports for i386 on 9.x and 8.x, where the ports system does not enable it, you can find more information in Mk/bsd.ssp.mk

- The plists had a few issues, first of all pkg is now able to handle directories by itself, except rare cases, so @dirrm directives are deprecated (check CHANGES entry dated 20140922), you also missed a pair of files.

- You also missed some dependencies.

Please always run portlint on the ports before submitting, this will warn you about most formal errors and deprecated features.

To spot missing dependencies the best solution is to use poudriere.